package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;


/**
 * 周转率统计数据查询返回值实体
 *
 * @since 2023-10-20
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class TurnoverRateStatisticsVo {

    /**
     * 品号
     */
    @ExcelProperty(value = "品号", index = 0)
    private String bomSpecCode;

    /**
     * 品名
     */
    @ExcelProperty(value = "品名", index = 1)
    private String bomSpecName;

    /**
     * 周转率
     */
    @ExcelProperty(value = "周转率", index = 2)
    private BigDecimal turnoverRate;

    /**
     * 库存数量
     */
    private BigDecimal quantity;
}
