package com.sd.business.entity.statement.bo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Builder
public class ExportDocumentByOrderBo {

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 对账时间
     */
    private Date statementOfAccountTime;

    /**
     * 定制加工类型
     */
    private String customProcessingType;

    /**
     * 分类父名称
     */
    private String classifyName;

    /**
     * 单位
     */
    private String unit;


    /**
     * 万里牛订单创建时间
     */
    private Date wlnCreateTime;

    /**
     * 订单号
     */
    private String code;

    /**
     * mes单号
     */
    private String mesCode;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 占位符
     */
    private Integer placeholder;

    /**
     * sku规格品号
     */
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    private String skuSpecName;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * sku单价
     */
    private BigDecimal unitPrice;

    /**
     * 小计
     */
    private BigDecimal subtotal;

    /**
     * 合计
     */
    private BigDecimal total;

    /**
     * bom规格品号
     */
    private String bomSpecCode;

    /**
     * bom规格品名
     */
    private String bomSpecName;

    /**
     * 数量
     */
    private BigDecimal bomQuantity;

    /**
     * bom单价
     */
    private BigDecimal bomUnitPrice;

    /**
     * 激光logo
     */
    private BigDecimal laserLogoSummary;

    /**
     * 激光线粒体
     */
    private BigDecimal laserMitochondrialSummary;

    /**
     * 代发费
     */
    private BigDecimal lssueFeeSummary;

    /**
     * 快递包材费
     */
    private BigDecimal deliveryMaterialsFeeSummary;

    /**
     * 包装人工费
     */
    private BigDecimal packingLaborSummary;

    /**
     * 管理费
     */
    private BigDecimal managementFeeSummary;

    /**
     * 外箱包装费
     */
    private BigDecimal outerBoxPackingFee;

}
