package com.sd.business.mapper.order;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderSalesShipmentStatistics;
import com.sd.business.entity.order.vo.OrderSalesShipmentStatisticsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 订单销售出库统计 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-10-20
 */
public interface OrderSalesShipmentStatisticsMapper extends BaseMapper<OrderSalesShipmentStatistics> {
    List<OrderSalesShipmentStatisticsVo> getSalesShipmentStatisticsList(@Param("ew") IWrapper<OrderSalesShipmentStatistics> wrapper);
}
