package com.sd.business.entity.board.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * 周转率查询入参实体
 *
 * @author
 * @since 2023-10-21
 */
@Getter
@Setter
public class TurnoverRateBoardSelectDto {

    /**
     * bom分类 1-裸垫，2-裸砖
     */
    private Integer bomClassify;

    /**
     * 查询天数
     */
    @NotNull(message = "查询天数不能为空")
    private Integer days;
}
