package com.sd.business.entity.in.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 出入库bom信息 erp导出实体
 *
 * @author
 * @since 2023-10-23
 */
@Getter
@Setter
public class InOutStorageBomErpExportVo {

    /**
     * 单号
     */
    private String code;

    /**
     * 序号
     */
    private Integer serialNumber;

    /**
     * 产品规格品号
     */
    private String bomSpecCode;

    /**
     * 业务单位
     */
    private String pieces;

    /**
     * 业务单位
     */
    private String unit;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 仓库编号
     */
    private String warehouseCode;

    /**
     * 来源单据RTK
     */
    private String sourceRtk;

    /**
     * 单位成本
     */
    private BigDecimal unitCost;

    /**
     * 成本金额
     */
    private BigDecimal costAmt;
}
