package com.sd.business.entity.purchase.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class PurchaseArrivalImportDataDto {

    /**
     * 到货单号
     */
    @ExcelProperty("PURCHASE_ARRIVAL__DOC_NO")
    private String arrivalCode;

    /**
     * 采购合同编号
     */
    @ExcelProperty("PURCHASE_ORD_DOC_NO")
    private String purchaseCode;

    /**
     * bom规格编码
     */
    @ExcelProperty("ITEM_ID_CODE")
    private String bomSpecCode;

    /**
     * 到货数量
     */
    @ExcelProperty("BUSINESS_QTY")
    private String arrivalQuantity;
}
