package com.sd.business.entity.purchase.vo;

import com.sd.business.entity.purchase.po.PurchasePendingStorageBom;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购待入库bom列表查询返回值实体
 *
 * @author
 * @since 2023-10-12
 */
@Getter
@Setter
public class PurchasePendingStorageBomVo extends PurchasePendingStorageBom {

    /**
     * 采购合同编号
     */
    private String purchaseCode;

    /**
     * 仓库
     */
    private String warehouseName;

    /**
     * bom规格编码
     */
    private String bomSpecCode;

    /**
     * bom规格名称
     */
    private String bomSpecName;

    /**
     * bom规格长
     */
    private BigDecimal bomSpecLength;

    /**
     * bom规格宽
     */
    private BigDecimal bomSpecWidth;

    /**
     * bom规格高
     */
    private BigDecimal bomSpecHeight;
}
