package com.sd.business.entity.supplier.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 供应商
 * </p>
 *
 * @author
 * @since 2023-07-01
 */
@Getter
@Setter
@TableName("supplier")
public class Supplier extends BasePo {

    /**
     * 供应商名称
     */
    private String name;

    /**
     * 公司电话
     */
    private String companyTelephone;

    /**
     * 账期
     */
    private Integer paymentPeriod;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 税号
     */
    private String dutyNumber;

    /**
     * 付款类型 0-现结，1-月结
     */
    private Integer paymentType;

    /**
     * 次月多少天内，结算费用
     */
    private Integer nextMonthDays;


    /**
     * 联系人1
     */
    private String contactPerson1;

    /**
     * 联系人电话1
     */
    private String contactNumber1;

    /**
     * 联系人邮箱1
     */
    private String contactMailbox1;

    /**
     * 联系人2
     */
    private String contactPerson2;

    /**
     * 联系人电话2
     */
    private String contactNumber2;

    /**
     * 联系人邮箱2
     */
    private String contactMailbox2;

    /**
     * 联系人3
     */
    private String contactPerson3;

    /**
     * 联系人电话3
     */
    private String contactNumber3;

    /**
     * 联系人邮箱3
     */
    private String contactMailbox3;

    /**
     * 银行
     */
    private String bank;

    /**
     * 银行账户名
     */
    private String bankAccountName;

    /**
     * 银行账号
     */
    private String bankAccountNumber;

    private String oldId;

}
